+++
title = "GISAS with specular"
weight = 55
+++

## GISAS simulation including specular reflection

Once a `Simulation` is defined, one can add the specular peak as follows:

```
simulation.getOptions().setIncludeSpecular(True)
```

{{< figscg src="/files/simulated/BoxesWithSpecularPeak.png" width="500px" class="center" caption="The figure shows the intensity map produced by the script below." >}}

The script below shows how to include the specular peak when simulating a square lattice of boxes on a substrate.

{{< highlightfile file="/static/files/python/simulation/ex07_Miscellaneous/BoxesWithSpecularPeak.py" language="python" >}}
