+++
title = "Example"
weight = 10
+++

## Particle composition example

In this example it is modelled a multi layer consisting of a substrate layer and an air layer.
Cylindrical particles made of two materials are added to the air layer and their $z$ coordinate is shifted downwards in order to cross the air-substrate interface.

{{< galleryscg >}}
{{< figscg src="/files/simulated/BiMaterialCylinders.png" width="450px" caption="Intensity image">}}
{{< /galleryscg >}}

{{< highlightfile file="/static/files/python/simulation/ex04_ComplexShapes/BiMaterialCylinders.py" language="python" >}}
